#include <bits/stdc++.h>

using namespace std;

map<int, int> zamena;
vector<int> zam;

int main()
{
    int n;
    int k;

    cin >> n;
    cin >> k;

    for(int i = 0; i < n; i++)
    {
        int a;
        cin >> a;

        zamena[a]++;
    }

    int suma = 0;

    for(int i = -n; i <= n; i++)
    {
        if(zamena[i] >= k)
        {
            zam.push_back(i);
            suma++;
        }
    }

    cout << suma << '\n';

    for(int i = 0; i < suma; i++)
    {
        cout << zam[i] << " ";
    }
    cout << '\n';

    return 0;
}